
QGIS Application - Bug report #10268

Import CSV. spatial coordinates not recognised

2014-05-14 01:28 PM - John Pilkington

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 18700

Description

This morning I successfully loaded a .csv file with OS coordiantes in the X, Y columns; points displayed correctly. Now when I again load

the exact same file, QGIS does nor recognise the coordinates and the points appear at "infinity, infinity". I have checked the data types,

column 1 is string, column 2 (set as X coordinate) and column 3 (Y) are real. What is going wrong? I've tried restarting my PC. thanks for

any help.

History

#1 - 2014-05-15 05:32 AM - Giovanni Manghi

- Status changed from Open to Feedback

the file is ok and so is qgis that imports it without issues, check if the parameters (like the separator) are ok.

#2 - 2014-05-15 08:38 AM - John Pilkington

I've checked the separator; also made a new one-line .csv file using Notepad with exactly the same result. I've tried reinstalling QGIS, also reinstalling

GRASS.

Is there any issue with GRASS compatibility? I've tried going back to GRASS, and now can't get GRASS to display any rasters at all! Don't want to go

back to GRASS, QGIS GUI much nicer, but it's got to work!

Thanks for your feedback, Giovanni. I really want to get this straight.

#3 - 2014-05-15 11:04 AM - Giovanni Manghi

John Pilkington wrote:

I've checked the separator; also made a new one-line .csv file using Notepad with exactly the same result. I've tried reinstalling QGIS, also

reinstalling GRASS.

Is there any issue with GRASS compatibility? I've tried going back to GRASS, and now can't get GRASS to display any rasters at all! Don't want to

go back to GRASS, QGIS GUI much nicer, but it's got to work!

Thanks for your feedback, Giovanni. I really want to get this straight.

GRASS is not a factor. You may want to make a screencast so we can have a look if there is something wrong in what you are doing.
#4 - 2014-06-21 03:10 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

closing for lack of feedback.

Files

GillLocations2.csv 699 Bytes 2014-05-14 John Pilkington
